Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159603 - snd_ali_codec_ready soft lockup.
Summary: snd_ali_codec_ready soft lockup.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-05 17:12 UTC by Martin Garton
Modified: 2015-01-04 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-06 05:18:56 UTC


Attachments (Terms of Use)

Description Martin Garton 2005-06-05 17:12:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
BUG during boot:

BUG: soft lockup detected on CPU#0!

Pid: 1067, comm:             modprobe
EIP: 0060:[<e795703a>] CPU: 0
EIP is at snd_ali_codec_ready+0x3a/0x8b [snd_ali5451]
 EFLAGS: 00000202    Not tainted  (2.6.11-1.1369_FC4)
EAX: 5374807e EBX: 5374807e ECX: 00008800 EDX: 00008840
ESI: fffbd06a EDI: 00000000 EBP: 00000040 DS: 007b ES: 007b
CR0: 8005003b CR2: 093bc4d8 CR3: 2616e000 CR4: 000006d0
 [<e7957223>] snd_ali_codec_peek+0x87/0xa3 [snd_ali5451]
 [<e7957268>] snd_ali_codec_read+0xd/0x11 [snd_ali5451]
 [<e798b1b4>] snd_ac97_read+0x25/0x2d [snd_ac97_codec]
 [<e7991118>] patch_ad1881_chained1+0x46/0xae [snd_ac97_codec]
 [<e7991235>] patch_ad1881_chained+0xb5/0xe3 [snd_ac97_codec]
 [<e79913ab>] patch_ad1881+0x148/0x17b [snd_ac97_codec]
 [<e79915ac>] patch_ad1981b+0xb/0x3e [snd_ac97_codec]
 [<e798d554>] snd_ac97_get_name+0x189/0x1e9 [snd_ac97_codec]
 [<e798daaa>] snd_ac97_mixer+0x32d/0xb68 [snd_ac97_codec]
 [<c01c7d53>] create_proc_entry+0x5c/0xbb
 [<c015c398>] kcalloc+0x16/0x4d
 [<e790a53d>] snd_device_new+0x1d/0x5f [snd]
 [<e798d75c>] snd_ac97_bus+0x91/0xb2 [snd_ac97_codec]
 [<e7959f2f>] snd_ali_mixer+0x63/0xb1 [snd_ali5451]
 [<e7959ebe>] snd_ali_mixer_free_ac97+0x0/0xe [snd_ali5451]
 [<e795aad2>] snd_ali_probe+0x9e/0x12a [snd_ali5451]
 [<c020f638>] kobject_hotplug+0x29c/0x396
 [<c021b470>] pci_device_probe_static+0x25/0x31
 [<c021b49c>] __pci_device_probe+0x20/0x30
 [<c021b4c7>] pci_device_probe+0x1b/0x32
 [<c0287ce7>] driver_probe_device+0x21/0x55
 [<c0287e0e>] driver_attach+0x4f/0x85
 [<c020ec4d>] kobject_register+0x2e/0x59
 [<c028821c>] bus_add_driver+0x8a/0xb7
 [<c021b68d>] pci_register_driver+0x89/0xa0
 [<c014839d>] sys_init_module+0xbb/0x1b5
 [<c0103a51>] syscall_call+0x7/0xb
 [<c01505e1>] softlockup_tick+0x95/0x1b8
 [<c012cd3d>] update_wall_time+0x14/0x40
 [<c012d331>] do_timer+0x4d/0xfb
 [<c0108c2e>] timer_interrupt+0x60/0x1b5
 [<c02bb74e>] ide_dma_intr+0x0/0xb5
 [<c015085d>] handle_IRQ_event+0x2e/0x5a
 [<c015093c>] __do_IRQ+0xb3/0x367
 [<c0105b1d>] do_IRQ+0x4a/0x82
 =======================
 [<c0103c0e>] common_interrupt+0x1a/0x20
 [<e795007b>] snd_seq_oss_midi_clear_all+0x29/0x1d1 [snd_seq_oss]
 [<e795703a>] snd_ali_codec_ready+0x3a/0x8b [snd_ali5451]
 [<e7957223>] snd_ali_codec_peek+0x87/0xa3 [snd_ali5451]
 [<e7957268>] snd_ali_codec_read+0xd/0x11 [snd_ali5451]
 [<e798b1b4>] snd_ac97_read+0x25/0x2d [snd_ac97_codec]
 [<e7991118>] patch_ad1881_chained1+0x46/0xae [snd_ac97_codec]
 [<e7991235>] patch_ad1881_chained+0xb5/0xe3 [snd_ac97_codec]
 [<e79913ab>] patch_ad1881+0x148/0x17b [snd_ac97_codec]
 [<e79915ac>] patch_ad1981b+0xb/0x3e [snd_ac97_codec]
 [<e798d554>] snd_ac97_get_name+0x189/0x1e9 [snd_ac97_codec]
 [<e798daaa>] snd_ac97_mixer+0x32d/0xb68 [snd_ac97_codec]
 [<c01c7d53>] create_proc_entry+0x5c/0xbb
 [<c015c398>] kcalloc+0x16/0x4d
 [<e790a53d>] snd_device_new+0x1d/0x5f [snd]
 [<e798d75c>] snd_ac97_bus+0x91/0xb2 [snd_ac97_codec]
 [<e7959f2f>] snd_ali_mixer+0x63/0xb1 [snd_ali5451]
 [<e7959ebe>] snd_ali_mixer_free_ac97+0x0/0xe [snd_ali5451]
 [<e795aad2>] snd_ali_probe+0x9e/0x12a [snd_ali5451]
 [<c020f638>] kobject_hotplug+0x29c/0x396
 [<c021b470>] pci_device_probe_static+0x25/0x31
 [<c021b49c>] __pci_device_probe+0x20/0x30
 [<c021b4c7>] pci_device_probe+0x1b/0x32
 [<c0287ce7>] driver_probe_device+0x21/0x55
 [<c0287e0e>] driver_attach+0x4f/0x85
 [<c020ec4d>] kobject_register+0x2e/0x59
 [<c028821c>] bus_add_driver+0x8a/0xb7
 [<c021b68d>] pci_register_driver+0x89/0xa0
 [<c014839d>] sys_init_module+0xbb/0x1b5
 [<c0103a51>] syscall_call+0x7/0xb
 
boot continues and things _seem_ work fine (so far)


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot on machine with appropriate ali sound device.
2. read dmesg output.


Additional info:

Comment 1 Dave Jones 2005-06-27 23:17:06 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Comment 2 Martin Garton 2005-07-02 09:01:01 UTC
yes, still happens with FC4 final kernel 2.6.11-1.1369_FC4.

I haven't found any actual broken functionality with this bug so it remains low
priority.


Comment 3 Ariel Bendersky 2005-07-15 15:16:44 UTC
That same thing happens to me uppon insert of a cd rom, or when I try to boot
with a cdrom on the drive.

I found out that if I mount the cd rom manually with "-t iso9660" it works fine,
but it hangs like described in the first message of this thread if I let it
automount, or I mount it without "-t iso9660"

Comment 4 Martin Garton 2005-07-15 15:35:02 UTC
Ariel,

I think you may have a different bug. See
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=162347

Have a closer look at the error text you are getting and compare to the one in
this bug. Here it fails in snd_ali_codec_ready but I suspect yours is failing in
__ide_end_request or similar.

Comment 5 Dave Jones 2005-07-15 18:26:14 UTC
Martin, the soft lockup patch got dropped from the FC4 update kernels.
It's still present in the rawhide kernels, so I'm going to migrate this bug to a
devel/ bug to track this.

This is just hiding the problem for FC4, but tbh, it's not that big a problem,
its mostly just a correctness thing, and as its a) during boot and b) doesn't
break anything, its not anything to worry about.

Thanks.


Comment 6 Dave Jones 2006-03-06 05:18:56 UTC
now explicitly schedules whilst waiting, should be fixed properly in rawhide/fc5


Note You need to log in before you can comment on or make changes to this bug.